Bug 1253183 - [abrt] audacious: String::raw_unref(): audacious killed by SIGABRT
[abrt] audacious: String::raw_unref(): audacious killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
22
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4139d73ad39b5d39a596ebfc3d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 03:56 EDT by roman
Modified: 2018-01-22 08:46 EST (History)
2 users (show)

See Also:
Fixed In Version: audacious-3.6.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.07 KB, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: core_backtrace (8.40 KB, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: dso_list (12.60 KB, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: environ (1.50 KB, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 03:56 EDT, roman
no flags Details
File: maps (60.20 KB, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details
File: open_fds (882 bytes, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-13 03:57 EDT, roman
no flags Details

  None (edit)
Description roman 2015-08-13 03:56:43 EDT
Version-Release number of selected component:
audacious-3.6.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        audacious '/home/roma/\xd0\x9b\xd0\xb5\xd0\xbd\xd0\xb8\xd0\xbd\xd0\xb3\xd1\x80\xd0\xb0\xd0\xb4 - \xd0\x9c\xd0\xb5\xd0\xbd\xd1\x8f \xd0\x97\xd0\xbe\xd0\xb2\xd1\x83\xd1\x82 \xd0\xa8\xd0\xbd\xd1\x83\xd1\x80.mp3'
crash_function: String::raw_unref
executable:     /usr/bin/audacious
global_pid:     27600
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 String::raw_unref at strpool.cc:224
 #5 ~String at objects.h:125
 #6 ~Node at multihash.h:193
 #7 SimpleHash<String, HookList>::remove_cb at multihash.h:213
 #8 HashBase::iterate at multihash.cc:91
 #9 clear at multihash.h:190
 #10 SimpleHash<String, HookList>::~SimpleHash at multihash.h:145
 #11 __cxa_finalize at cxa_finalize.c:56
 #12 __do_global_dtors_aux at /lib64/libaudcore.so.3
 #13 ??
Comment 1 roman 2015-08-13 03:56:48 EDT
Created attachment 1062384 [details]
File: backtrace
Comment 2 roman 2015-08-13 03:56:50 EDT
Created attachment 1062385 [details]
File: cgroup
Comment 3 roman 2015-08-13 03:56:52 EDT
Created attachment 1062386 [details]
File: core_backtrace
Comment 4 roman 2015-08-13 03:56:54 EDT
Created attachment 1062387 [details]
File: dso_list
Comment 5 roman 2015-08-13 03:56:56 EDT
Created attachment 1062388 [details]
File: environ
Comment 6 roman 2015-08-13 03:56:58 EDT
Created attachment 1062389 [details]
File: limits
Comment 7 roman 2015-08-13 03:57:01 EDT
Created attachment 1062390 [details]
File: maps
Comment 8 roman 2015-08-13 03:57:03 EDT
Created attachment 1062391 [details]
File: mountinfo
Comment 9 roman 2015-08-13 03:57:05 EDT
Created attachment 1062392 [details]
File: namespaces
Comment 10 roman 2015-08-13 03:57:06 EDT
Created attachment 1062393 [details]
File: open_fds
Comment 11 roman 2015-08-13 03:57:08 EDT
Created attachment 1062394 [details]
File: proc_pid_status
Comment 12 roman 2015-08-13 03:57:10 EDT
Created attachment 1062395 [details]
File: var_log_messages
Comment 13 Michael Schwendt 2015-08-13 05:01:00 EDT
> Core was generated by `audacious /home/roma/Ленинград - Меня Зовут Шнур.mp3'.

> assertion=0x7f0142d655d8 "status & MultiHash::Found"
> in String::raw_unref (str=0x2664dc5 "dock plugin enabled") at strpool.cc:224

You really need to give some background details, such as how to reproduce this crash and how often it occurs.
Comment 14 Michael Schwendt 2015-11-22 07:12:10 EST
It would have been so easy to track this down, if you had mentioned that you log out from Mate (or kill X) without quitting Audacious.
Comment 15 Fedora Update System 2015-11-22 08:10:44 EST
audacious-3.6.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4178e397
Comment 16 Fedora Update System 2015-11-23 19:54:54 EST
audacious-3.6.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update audacious'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6a4178e397
Comment 17 Fedora Update System 2015-12-07 16:21:39 EST
audacious-3.6.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.